HUGO-MOD-NPM-PACK(1)

NAME
hugo-mod-npm-pack - Experimental: Prepares and writes a composite package.json file for your project

SYNOPSIS
hugo mod npm pack [flags] [args]

DESCRIPTION
Prepares and writes a composite package.json file for your project.

On first run it creates a "package.hugo.json" in the project root if not already there. This file will be used as a template file with the base dependency set.

This set will be merged with all "package.hugo.json" files found in the dependency tree, picking the version closest to the project.

This command is marked as 'Experimental'. We think it's a great idea, so it's not likely to be removed from Hugo, but we need to test this out in "real life" to get a feel of it, so this may/will change in future versions of Hugo.

OPTIONS
-b, --baseURL=""
    hostname (and path) to the root, e.g. https://spf13.com/

--cacheDir=""
    filesystem path to cache directory

-c, --contentDir=""
    filesystem path to content directory

-h, --help[=false]
    help for pack

--renderSegments=[]
    named segments to render (configured in the segments config)

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

OPTIONS INHERITED FROM PARENT COMMANDS
--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--noBuildLock[=false]
    don't create .hugo_build.lock file

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO
hugo-mod-npm(1)